Subject: `define-coding-system' docs - two disjoint entries for `:eol-type'

From: MON KEY <[email-masked]>
Date: Sun, 30 May 2010 15:19:45 -0400

The `define-coding-system' docstring contains two disjoint descriptions for
property `:eol-type' and expected values:

(let ((eols@bols 0))
  (with-temp-buffer
    (save-excursion (insert (documentation 'define-coding-system)))
    (while (search-forward-regexp "^`:eol-type'\n\nVALUE" nil t)
      (setf eols@bols (1+ eols@bols))))
  eols@bols)
=> 2

(documentation 'define-coding-system)

,---- First occurrence:
| `:eol-type'
|
| VALUE is the EOL (end-of-line) format of the coding system.  It must
| be one of `unix', `dos', `mac'.  The symbol `unix' means Unix-like EOL
| (i.e. single LF), `dos' means DOS-like EOL (i.e. sequence of CR LF),
| and `mac' means Mac-like EOL (i.e. single CR).  If omitted, on
| decoding by the coding system, Emacs automatically detects the EOL
| format of the source text.
`----

,---- Second occurrence:
| `:eol-type'
|
| VALUE must be `unix', `dos', `mac'.  The symbol `unix' means Unix-like
| EOL (LF), `dos' means DOS-like EOL (CRLF), and `mac' means Mac-like
| EOL (CR).  If omitted, on decoding, the coding system detects EOL
| format automatically, and on encoding, uses Unix-like EOL.
`----

--
/s_P\